Debian Bug report logs - #706184
ITP: freedv -- Digital Voice for HF

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "A. Maitland Bottoms" <bottoms@debian.org>

Date: Fri, 26 Apr 2013 00:27:02 UTC

Owned by: "A. Maitland Bottoms" <bottoms@debian.org>

Severity: wishlist

Fixed in version fdmdv2/0.96.5.1328-1

Done: bottoms@debian.org (A. Maitland Bottoms)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706184; Package wnpp. (Fri, 26 Apr 2013 00:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 26 Apr 2013 00:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: freedv -- Digital Voice for HF
Date: Thu, 25 Apr 2013 20:24:34 -0400
Package: wnpp
Severity: wishlist
Owner: "A. Maitland Bottoms" <bottoms@debian.org>

* Package name    : freedv
  Version         : 0.96r1235
  Upstream Author : David Rowe VK5DGR <david@rowetel.com>, Dave Witten <wittend@wwrinc.com>
* URL             : http://freedv.org
* License         : LGPL-2.1
  Programming Lang: C++
  Description     : Digital Voice for HF

FreeDV is a GUI application that allows any SSB radio to be used for
low bit rate digital voice.

Speech is compressed down to 1400 bit/s then modulated onto a 1100 Hz
wide QPSK signal which is sent to the Mic input of a SSB radio. On
receive, the signal is received by the SSB radio, then demodulated and
decoded by FreeDV.

FreeDV was built by an international team of Radio Amateurs working
together on coding, design, user interface and testing. FreeDV is open
source software, released under the GNU Public License version
2.1. The FDMDV modem and Codec 2 Speech codec used in FreeDV are also
open source.

Why FreeDV?

Amateur Radio is transitioning from analog to digital, much as it
transitioned from AM to SSB in the 1950's and 1960's. How would you
feel if one or two companies owned the patents for SSB, then forced
you to use their technology, made it illegal to experiment with or
even understand the technology, and insisted you stay locked to it for
the next 100 years? That's exactly what was happening with digital
voice. But now, hams are in control of their technology again!

FreeDV is unique as it uses 100% Open Source Software, including the
audio codec. No secrets, nothing proprietary! FreeDV represents a path
for 21st century Amateur Radio where Hams are free to experiment and
innovate, rather than a future locked into a single manufacturers
closed technology.

I've been builing packages while trying to keep up with
active development, and it is time for better availability
of packaged versions to facilitate testing by early adopters.

Expect the initial series of uploads to go into Debian experimental.
The Lintian warning count is low, but the upstream developers
expect some incompatible protocol changes between versions
for the near future.

-Maitland



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 27 Apr 2013 08:06:10 GMT) Full text and rfc822 format available.

Reply sent to bottoms@debian.org (A. Maitland Bottoms):
You have taken responsibility. (Sat, 07 Sep 2013 00:03:12 GMT) Full text and rfc822 format available.

Notification sent to "A. Maitland Bottoms" <bottoms@debian.org>:
Bug acknowledged by developer. (Sat, 07 Sep 2013 00:03:12 GMT) Full text and rfc822 format available.

Message #12 received at 706184-close@bugs.debian.org (full text, mbox):

From: bottoms@debian.org (A. Maitland Bottoms)
To: 706184-close@bugs.debian.org
Subject: Bug#706184: fixed in fdmdv2 0.96.5.1328-1
Date: Sat, 07 Sep 2013 00:00:07 +0000
Source: fdmdv2
Source-Version: 0.96.5.1328-1

We believe that the bug you reported is fixed in the latest version of
fdmdv2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706184@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
A. Maitland Bottoms <bottoms@debian.org> (supplier of updated fdmdv2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Aug 2013 23:16:27 -0400
Source: fdmdv2
Binary: freedv
Architecture: source amd64
Version: 0.96.5.1328-1
Distribution: experimental
Urgency: low
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Changed-By: A. Maitland Bottoms <bottoms@debian.org>
Description: 
 freedv     - Software Defined Radio (SDR)
Closes: 706184
Changes: 
 fdmdv2 (0.96.5.1328-1) experimental; urgency=low
 .
   * New upstream subversion r1328 (AKA 0.96.5 Beta)
   * Update wxWidgets 2.9.5 version
   * cleanup source - see debian/rules get-orig-source, (Closes: #706184)
   * HID-PTT patch included
Checksums-Sha1: 
 deb5b8247fcdd19913fe3097c522af4895d6559f 2304 fdmdv2_0.96.5.1328-1.dsc
 76148fdfca88a8a20dcce4df17f9d88e1f3d1757 1157974 fdmdv2_0.96.5.1328.orig-codec2.tar.gz
 dd595496cffce05fcb5efe5d01828b8741e33603 96606 fdmdv2_0.96.5.1328.orig-libctb.tar.gz
 ba039fdb872c3f4e4bad2d2ade1f5e3725f276de 16473652 fdmdv2_0.96.5.1328.orig-wxwidgets.tar.bz2
 3d12f6dffaf0cf0b943bbff4c1043f77160a1474 629434 fdmdv2_0.96.5.1328.orig.tar.gz
 d5de1ad331f70dc20af7fd6780e20c32c36cadf1 16102 fdmdv2_0.96.5.1328-1.debian.tar.gz
 c4e10c253213a8258eacc8ae4dc8060e1927d35c 2039822 freedv_0.96.5.1328-1_amd64.deb
Checksums-Sha256: 
 ff8ba4ad0e5313fab5f43f9f8712de6030b8074e5ac661017bf145a7996eb56b 2304 fdmdv2_0.96.5.1328-1.dsc
 5fba832c0423a98ce309d0d9843a606c8404d67a2486b737e0e38c831a289ab2 1157974 fdmdv2_0.96.5.1328.orig-codec2.tar.gz
 6da5483bf7ad57ad1c970ef2b04184da4c608f5220eb42581696ce0499f608f7 96606 fdmdv2_0.96.5.1328.orig-libctb.tar.gz
 75c28ca25e4fdaf42de8dbef41eebcd187a46c5a747820cf524f4919e25ecb9a 16473652 fdmdv2_0.96.5.1328.orig-wxwidgets.tar.bz2
 f58ef54021d1f9a75ed0b1d0000bca0a2dab9cfe48911b50b7b24b613f039b72 629434 fdmdv2_0.96.5.1328.orig.tar.gz
 d4b5c031d964d66e4ef5c4618b032f37345e715065f844d546222b88ccef7caa 16102 fdmdv2_0.96.5.1328-1.debian.tar.gz
 9a55e94b730a406557575eabae9c7969b89b85760cb020a7193e037490f13fc4 2039822 freedv_0.96.5.1328-1_amd64.deb
Files: 
 c96c6efe534d3cb048905935aab6aeaa 2304 hamradio optional fdmdv2_0.96.5.1328-1.dsc
 2c74ad5c556fec49d1c8e2b39f4b6b0f 1157974 hamradio optional fdmdv2_0.96.5.1328.orig-codec2.tar.gz
 7f53ece0517e791d959fc3126d58df9d 96606 hamradio optional fdmdv2_0.96.5.1328.orig-libctb.tar.gz
 1f4b293489ba45f28cb481d8ffa43f9d 16473652 hamradio optional fdmdv2_0.96.5.1328.orig-wxwidgets.tar.bz2
 c4c7c177d1e8ddb68c4be5806dfee84e 629434 hamradio optional fdmdv2_0.96.5.1328.orig.tar.gz
 572327ad24f113991a6999056457281a 16102 hamradio optional fdmdv2_0.96.5.1328-1.debian.tar.gz
 41780609cdd23190c29ccd3041c10431 2039822 hamradio optional freedv_0.96.5.1328-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlIi07IACgkQkwbJvNrxBUx7xgCdHU4C30uc3hpIkerht9u3sEQI
cDgAnRQKOGaQXFqk7c/LhBT29/+Rj6p9
=lKvj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Oct 2013 07:39:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:42:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.